<?php
/**
	by it308.com
*/
/**
 * 常用辅助函数
 */
function clear_Array($arr = array()){
	$tmp = array();
	foreach ($arr as $key => $value) {
		if($value){
			$tmp[] = $value;
		}
	}
	return $tmp;
}
/**
 * 取文件后缀
 * @param $type string  1取文件名 2取文件后缀
 * @return string 返回最后一个数组作为文件名
 */
function getFileSuffix($str = "", $type="2"){
	if( !strpos($str, '.') ){
		return $str;
	}
	//echo $str;
	if($type==1){
		$fileArray = explode('.', $str);
		array_pop($fileArray);
		return implode('', $fileArray);
	}else if ($type==2) {
		$fileArray = explode('.', $str);
		return $fileArray[count($fileArray)-1];
	}
	
}
function utogbk($str=""){
	return iconv('UTF-8','GBK', $str);
}











